INSERT INTO FRX_JOB
(JOB_ID, JOB_NAME, JOB_DESC, JOB_MAIN_MACRO, JOB_COMPONENT, JOB_SCRIPT_OPTS, JOB_AUTOEXEC, JOB_LOG_FILENAME, JOB_SYSIN, JOB_DVDS, JOB_SAS_CMD) 
VALUES
(5010, 'Alert Extract', 'Extracts Alert Actions and creates a compressed file', 'frd_alert_extract', 'fraudtag', '-logparm "ROLLOVER=SESSION" -noterminal -nospool -unbuflog -nosyntaxcheck', '!SASWHSE_IMPLEMENT_HOME/common/etc/autoexec.sas', '!SASWHSE_IMPLEMENT_HOME/fraudtag/logs/%nrstr(%d%b%Y_%H%M%s)_frd_alert_extract.log', '!SAS_ROOT/misc/fsmcm/source/bat_job_sysin.sas', 'fsmrh', '')
;

INSERT INTO FRH_PROPERTY
(PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, CREATE_USER) 
VALUES
('FRDTAG_ALERT_FLOPT', 'recfm=V lrecl=819', 'Record attribute options for Alert fraud file', 'Alert fraud file format', 'fraudtag', CURRENT USER)
;

INSERT INTO FRH_PROPERTY
(PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, CREATE_USER) 
VALUES
('FRDTAG_ALERT_DAYS', '7', 'Specify no. of days back from today to pull records from the Alert tables', 'Past days for Alert extraction', 'fraudtag', CURRENT USER)
;

INSERT INTO FRH_PROPERTY
(PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, CREATE_USER) 
VALUES
('FRDTAG_ALERT_OBF', '', 'Specify full path and file name for customer written alert obfuscation program', 'Directory for alert obfuscation program', 'fraudtag', CURRENT USER)
;


---------------------------------------------------------------------------------
-- update the ddl version
---------------------------------------------------------------------------------
insert into frh_version(VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT) VALUES
('Base DDL', '3.1.0.4 ', current date, '3.1.0.4 Hofix DDL', 'DDL')
